Bug 842137 - Backend should allow gateway for non-management networks if it was reported by host
Backend should allow gateway for non-management networks if it was reported b...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Moti Asayag
Martin Pavlik
Depends On:
Blocks: 841559
  Show dependency treegraph
Reported: 2012-07-22 09:42 EDT by Moti Asayag
Modified: 2016-02-10 14:47 EST (History)
9 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-07-22 09:42:40 EDT
Description of problem:
If the gateway for a non-management network was reported by the host, it will be present to the user via the rest-api.

The backend should allow getting unmodified gateway from the clients, without failing the command with NETWORK_ATTACH_ILLEGAL_GATEWAY.

In addition, it should not allow receiving as a gateway if it wasn't reported from the host as a gateway for non-management network.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Update nic via rest-api with gateway set to for non management network.
2. Verify the host reports no gateway for that network
3. post the change  

Actual results:
Action succeeded.

Expected results:
Updaing the nic should fail with NETWORK_ATTACH_ILLEGAL_GATEWAY can-do-action message

Additional info:
Comment 2 Moti Asayag 2012-07-24 11:46:12 EDT
suggested patch: http://gerrit.ovirt.org/#/c/6585/

The backend will not store the gateway for non-management networks, therefore nor rest-api nor webadmin should encounter the error above. The client

An attempt to set gateway for non-management networks will fail with can-do-action message: NETWORK_ATTACH_ILLEGAL_GATEWAY
Comment 3 Moti Asayag 2012-07-25 04:55:21 EDT
Commit-id: bd9aa2adcca10d6e61585e68d0822949d1a888f9

Note You need to log in before you can comment on or make changes to this bug.